Bug 59071 - F# Blank Xamarin Forms template doesn't build if project name provided contains a dot "."
Summary: F# Blank Xamarin Forms template doesn't build if project name provided contai...
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: F# Add-in (show other bugs)
Version: 7.1 (d15-3)
Hardware: PC Mac OS
: --- normal
Target Milestone: master
Assignee: Jason Imison
URL:
Depends on:
Blocks:
 
Reported: 2017-08-27 11:55 UTC by Andres G. Aragoneses
Modified: 2017-10-06 13:45 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Andres G. Aragoneses 2017-08-27 11:55:50 UTC
Using Visual Studio for Mac 7.1 build 1297

Testcase that works:
0. Open VSforMac
1. Click on 'New project...' button
2. Choose Multiplatform -> App -> 'Blank Forms App (F#)' template, click on Next
3. App: foo
4. Shared code: choose "Use Shared Library"
5. Leave "Use XAML for user interface files" enabled
6. Click on Next
7. Project name: Foo
8. Solution name: Foo
9. Leave Location as the proposed text "/Users/username/Projects"
10. Leave the next checkboxes enabled as default.
11. Build the iOS project.
Current results: it builds, no errors.

Testcase that has a bug (only steps 3, 7 and 8 change):
0. Open VSforMac
1. Click on 'New project...' button
2. Choose Multiplatform -> App -> 'Blank Forms App (F#)' template, click on Next
3. App: foo.bar
4. Shared code: choose "Use Shared Library"
5. Leave "Use XAML for user interface files" enabled
6. Click on Next
7. Project name: Foo.Bar
8. Solution name: Foo.Bar
9. Leave Location as the proposed text "/Users/username/Projects"
10. Leave the next checkboxes enabled as default.
11. Build the iOS project.
Current results: solution doesn't build, there are 2 compiler errors:

/Users/andres/Projects/Foo.Bar/Foo.Bar/Foo.BarPage.xaml.fs(6,6): Error FS0925: Invalid type extension (FS0925) (Foo.Bar.iOS)
/Users/andres/Projects/Foo.Bar/Foo.Bar/App.xaml.fs(40,40): Error FS0039: The value, constructor, namespace or type 'BarPage' is not defined. Maybe you want one of the following:   Bar (FS0039) (Foo.Bar.iOS)

Expected results: project builds, no errors.
Comment 1 xamarin-release-manager 2017-10-06 13:45:28 UTC
Fixed in version 7.4.0.282 (master)

Author: Jason Imison
Commit: 006aa957ebf7a7fee0291dd2fc47e13f365d71b6 (mono/monodevelop)